<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_context_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_context_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__context.html">Context APIs</a>]</small>
</h1><!-- doxytag: class="tivx_context_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The top level context data for the entire OpenVX instance. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a8c234d6e9ddee9d50ecb37c7fd47dfb1">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The base reference object.  <a href="#a8c234d6e9ddee9d50ecb37c7fd47dfb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#aa82c115b8daddc80780f6e8f78ca5a81">reftable</a> [TIVX_CONTEXT_MAX_REFERENCES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">References associated with a context.  <a href="#aa82c115b8daddc80780f6e8f78ca5a81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a59117164182aad680b08d6b12abd5c52">num_references</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of references in the table.  <a href="#a59117164182aad680b08d6b12abd5c52"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a840192e70d29ea8b5f322a22d04eca16">num_unique_kernels</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The combined number of unique kernels in the system.  <a href="#a840192e70d29ea8b5f322a22d04eca16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1cb5484ed26e0f08d33427d6f68abd3a">vx_log_callback_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a78cd24c04249886974f0294ba45283b2">log_callback</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback to call for logging messages from framework.  <a href="#a78cd24c04249886974f0294ba45283b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a446e4a91ee5a40e42b3e2a4a8973b029">log_enabled</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The log enable toggle.  <a href="#a446e4a91ee5a40e42b3e2a4a8973b029"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#aff6e03c0e29ac50393a3a0a868416ca4">log_lock</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock to use for locking log print's.  <a href="#aff6e03c0e29ac50393a3a0a868416ca4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a7d78c7a5266426db83e833e5e18f6544">lock</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock to use for locking context.  <a href="#a7d78c7a5266426db83e833e5e18f6544"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a75ce61163df36587562644604d2e2eb0">perf_enabled</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The performance counter enable toggle.  <a href="#a75ce61163df36587562644604d2e2eb0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__border__t.html">vx_border_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a98c01eaf0e02d38860b0383da42a9384">imm_border</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The immediate mode border.  <a href="#a98c01eaf0e02d38860b0383da42a9384"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a27203bbf2d4199c5f05ac8d848627d32">imm_border_policy</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The unsupported border mode policy for immediate mode functions.  <a href="#a27203bbf2d4199c5f05ac8d848627d32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a4ab9369a60bd665b6ac8a772764178ea">next_dynamic_user_kernel_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The next available dynamic user kernel ID.  <a href="#a4ab9369a60bd665b6ac8a772764178ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a3e77e72cf1cb7a41bc1305f11d174940">next_dynamic_user_library_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The next available dynamic user library ID.  <a href="#a3e77e72cf1cb7a41bc1305f11d174940"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a581ce38512392c7b82a361c8275cf4e0">imm_target_enum</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The immediate mode enumeration.  <a href="#a581ce38512392c7b82a361c8275cf4e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#ac365eedda77371d68829186141d63892">imm_target_string</a> [TIVX_TARGET_MAX_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The immediate mode target string.  <a href="#ac365eedda77371d68829186141d63892"></a><br/></td></tr>
<tr><td class="memItemLeft" >struct {</td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__context__t.html#addbeeb51b29536cb03bc1066e527a4b9">type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type constant.  <a href="#a1fe07ff84da362d33e81c1fa96a1eea4"></a><br/></td></tr>
<tr><td class="memItemLeft" >&nbsp;&nbsp;&nbsp;<a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;&nbsp;&nbsp;<a class="el" href="structtivx__context__t.html#aec86acd2a3c8dd8c9d3ef91d0da85d56">size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Size in bytes.  <a href="#a009604c0991668c8246c78cfbbd8732f"></a><br/></td></tr>
<tr><td class="memItemLeft" valign="top">}&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#af35431434f403f90636c37791b4641e9">user_structs</a> [TIVX_CONTEXT_MAX_USER_STRUCTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of user defined structs.  <a href="#af35431434f403f90636c37791b4641e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a78f9f06e375f86479c121ba7ff8c8179">kerneltable</a> [TIVX_CONTEXT_MAX_KERNELS]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#aea189a6daa85227d774074839898c884">obj_desc_cmd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#ad000de34c154cd70e50457018a54b0f6">cmd_ack_event</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a955915b46d872ea6bb29807ee1442883">remove_kernel_lock</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html#a39183d2adaef08b1ea17d52f2812bc99">graph_sort_context</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a8c234d6e9ddee9d50ecb37c7fd47dfb1"></a><!-- doxytag: member="tivx_context_t::base" ref="a8c234d6e9ddee9d50ecb37c7fd47dfb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__context__t.html#a8c234d6e9ddee9d50ecb37c7fd47dfb1">tivx_context_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The base reference object. </p>

</div>
</div>
<a class="anchor" id="aa82c115b8daddc80780f6e8f78ca5a81"></a><!-- doxytag: member="tivx_context_t::reftable" ref="aa82c115b8daddc80780f6e8f78ca5a81" args="[TIVX_CONTEXT_MAX_REFERENCES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> <a class="el" href="structtivx__context__t.html#aa82c115b8daddc80780f6e8f78ca5a81">tivx_context_t::reftable</a>[TIVX_CONTEXT_MAX_REFERENCES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>References associated with a context. </p>

</div>
</div>
<a class="anchor" id="a59117164182aad680b08d6b12abd5c52"></a><!-- doxytag: member="tivx_context_t::num_references" ref="a59117164182aad680b08d6b12abd5c52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__context__t.html#a59117164182aad680b08d6b12abd5c52">tivx_context_t::num_references</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of references in the table. </p>

</div>
</div>
<a class="anchor" id="a840192e70d29ea8b5f322a22d04eca16"></a><!-- doxytag: member="tivx_context_t::num_unique_kernels" ref="a840192e70d29ea8b5f322a22d04eca16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__context__t.html#a840192e70d29ea8b5f322a22d04eca16">tivx_context_t::num_unique_kernels</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The combined number of unique kernels in the system. </p>

</div>
</div>
<a class="anchor" id="a78cd24c04249886974f0294ba45283b2"></a><!-- doxytag: member="tivx_context_t::log_callback" ref="a78cd24c04249886974f0294ba45283b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1cb5484ed26e0f08d33427d6f68abd3a">vx_log_callback_f</a> <a class="el" href="structtivx__context__t.html#a78cd24c04249886974f0294ba45283b2">tivx_context_t::log_callback</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback to call for logging messages from framework. </p>

</div>
</div>
<a class="anchor" id="a446e4a91ee5a40e42b3e2a4a8973b029"></a><!-- doxytag: member="tivx_context_t::log_enabled" ref="a446e4a91ee5a40e42b3e2a4a8973b029" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__context__t.html#a446e4a91ee5a40e42b3e2a4a8973b029">tivx_context_t::log_enabled</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The log enable toggle. </p>

</div>
</div>
<a class="anchor" id="aff6e03c0e29ac50393a3a0a868416ca4"></a><!-- doxytag: member="tivx_context_t::log_lock" ref="aff6e03c0e29ac50393a3a0a868416ca4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> <a class="el" href="structtivx__context__t.html#aff6e03c0e29ac50393a3a0a868416ca4">tivx_context_t::log_lock</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock to use for locking log print's. </p>

</div>
</div>
<a class="anchor" id="a7d78c7a5266426db83e833e5e18f6544"></a><!-- doxytag: member="tivx_context_t::lock" ref="a7d78c7a5266426db83e833e5e18f6544" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> <a class="el" href="structtivx__context__t.html#a7d78c7a5266426db83e833e5e18f6544">tivx_context_t::lock</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock to use for locking context. </p>

</div>
</div>
<a class="anchor" id="a75ce61163df36587562644604d2e2eb0"></a><!-- doxytag: member="tivx_context_t::perf_enabled" ref="a75ce61163df36587562644604d2e2eb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__context__t.html#a75ce61163df36587562644604d2e2eb0">tivx_context_t::perf_enabled</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The performance counter enable toggle. </p>

</div>
</div>
<a class="anchor" id="a98c01eaf0e02d38860b0383da42a9384"></a><!-- doxytag: member="tivx_context_t::imm_border" ref="a98c01eaf0e02d38860b0383da42a9384" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__border__t.html">vx_border_t</a> <a class="el" href="structtivx__context__t.html#a98c01eaf0e02d38860b0383da42a9384">tivx_context_t::imm_border</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The immediate mode border. </p>

</div>
</div>
<a class="anchor" id="a27203bbf2d4199c5f05ac8d848627d32"></a><!-- doxytag: member="tivx_context_t::imm_border_policy" ref="a27203bbf2d4199c5f05ac8d848627d32" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__context__t.html#a27203bbf2d4199c5f05ac8d848627d32">tivx_context_t::imm_border_policy</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The unsupported border mode policy for immediate mode functions. </p>

</div>
</div>
<a class="anchor" id="a4ab9369a60bd665b6ac8a772764178ea"></a><!-- doxytag: member="tivx_context_t::next_dynamic_user_kernel_id" ref="a4ab9369a60bd665b6ac8a772764178ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__context__t.html#a4ab9369a60bd665b6ac8a772764178ea">tivx_context_t::next_dynamic_user_kernel_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The next available dynamic user kernel ID. </p>

</div>
</div>
<a class="anchor" id="a3e77e72cf1cb7a41bc1305f11d174940"></a><!-- doxytag: member="tivx_context_t::next_dynamic_user_library_id" ref="a3e77e72cf1cb7a41bc1305f11d174940" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__context__t.html#a3e77e72cf1cb7a41bc1305f11d174940">tivx_context_t::next_dynamic_user_library_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The next available dynamic user library ID. </p>

</div>
</div>
<a class="anchor" id="a581ce38512392c7b82a361c8275cf4e0"></a><!-- doxytag: member="tivx_context_t::imm_target_enum" ref="a581ce38512392c7b82a361c8275cf4e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__context__t.html#a581ce38512392c7b82a361c8275cf4e0">tivx_context_t::imm_target_enum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The immediate mode enumeration. </p>

</div>
</div>
<a class="anchor" id="ac365eedda77371d68829186141d63892"></a><!-- doxytag: member="tivx_context_t::imm_target_string" ref="ac365eedda77371d68829186141d63892" args="[TIVX_TARGET_MAX_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> <a class="el" href="structtivx__context__t.html#ac365eedda77371d68829186141d63892">tivx_context_t::imm_target_string</a>[TIVX_TARGET_MAX_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The immediate mode target string. </p>

</div>
</div>
<a class="anchor" id="addbeeb51b29536cb03bc1066e527a4b9"></a><!-- doxytag: member="tivx_context_t::type" ref="addbeeb51b29536cb03bc1066e527a4b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__context__t.html#addbeeb51b29536cb03bc1066e527a4b9">tivx_context_t::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type constant. </p>

</div>
</div>
<a class="anchor" id="aec86acd2a3c8dd8c9d3ef91d0da85d56"></a><!-- doxytag: member="tivx_context_t::size" ref="aec86acd2a3c8dd8c9d3ef91d0da85d56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__context__t.html#aec86acd2a3c8dd8c9d3ef91d0da85d56">tivx_context_t::size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size in bytes. </p>

</div>
</div>
<a class="anchor" id="af35431434f403f90636c37791b4641e9"></a><!-- doxytag: member="tivx_context_t::user_structs" ref="af35431434f403f90636c37791b4641e9" args="[TIVX_CONTEXT_MAX_USER_STRUCTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct { ... }   <a class="el" href="structtivx__context__t.html#af35431434f403f90636c37791b4641e9">tivx_context_t::user_structs</a>[TIVX_CONTEXT_MAX_USER_STRUCTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of user defined structs. </p>

</div>
</div>
<a class="anchor" id="a78f9f06e375f86479c121ba7ff8c8179"></a><!-- doxytag: member="tivx_context_t::kerneltable" ref="a78f9f06e375f86479c121ba7ff8c8179" args="[TIVX_CONTEXT_MAX_KERNELS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> <a class="el" href="structtivx__context__t.html#a78f9f06e375f86479c121ba7ff8c8179">tivx_context_t::kerneltable</a>[TIVX_CONTEXT_MAX_KERNELS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Information about all kernels suported in this context </p>

</div>
</div>
<a class="anchor" id="aea189a6daa85227d774074839898c884"></a><!-- doxytag: member="tivx_context_t::obj_desc_cmd" ref="aea189a6daa85227d774074839898c884" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a>* <a class="el" href="structtivx__context__t.html#aea189a6daa85227d774074839898c884">tivx_context_t::obj_desc_cmd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Command object that is used to send control messages to different target </p>

</div>
</div>
<a class="anchor" id="ad000de34c154cd70e50457018a54b0f6"></a><!-- doxytag: member="tivx_context_t::cmd_ack_event" ref="ad000de34c154cd70e50457018a54b0f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> <a class="el" href="structtivx__context__t.html#ad000de34c154cd70e50457018a54b0f6">tivx_context_t::cmd_ack_event</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Event used to received a command ACK </p>

</div>
</div>
<a class="anchor" id="a955915b46d872ea6bb29807ee1442883"></a><!-- doxytag: member="tivx_context_t::remove_kernel_lock" ref="a955915b46d872ea6bb29807ee1442883" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__context__t.html#a955915b46d872ea6bb29807ee1442883">tivx_context_t::remove_kernel_lock</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag to disallow kernel removal, used for built in kernels added during context create </p>

</div>
</div>
<a class="anchor" id="a39183d2adaef08b1ea17d52f2812bc99"></a><!-- doxytag: member="tivx_context_t::graph_sort_context" ref="a39183d2adaef08b1ea17d52f2812bc99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a> <a class="el" href="structtivx__context__t.html#a39183d2adaef08b1ea17d52f2812bc99">tivx_context_t::graph_sort_context</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Context used while sorting a graph </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
